SpareSpare Docs
GuidesAPI Reference

Freelancer Verification

Verify a freelancer certificate and its status.

POST
/api/v2.0/av/FreelancerVerification/CertificateDetails
Authorization
Body
*object

Request Body

application/json

The model containing the freelancer certificate request details, including the National ID and Certificate Number. The unique Certificate Number for which to fetch the status. Ensure the number is between 6-14 digits and adheres to validation rules.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2.0/av/FreelancerVerification/CertificateDetails" \  -H "Content-Type: application/json" \  -d '{    "nationalId": "string",    "certificateNumber": "string"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "result": {      "englishName": "string",      "nationalId": "string",      "arabicName": "string",      "nationalIdExpiryDate": "string",      "certificate": [        {          "expiryDate": "string",          "number": "string",          "status": "string",          "revokedAt": "string",          "issueDate": "string",          "speciality": {            "category": {              "code": "string",              "name": "string",              "nameEn": "string"            },            "code": "string",            "name": "string",            "nameEn": "string"          },          "canceledAt": "string"        }      ],      "gender": "string"    },    "errorDescription": "string"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
GET
/api/v2.0/av/FreelancerVerification/GetCertificateStatus
Authorization
Query

The unique Certificate Number for which to fetch the status. Ensure the number is between 6-14 digits and adheres to validation rules.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2.0/av/FreelancerVerification/GetCertificateStatus?certificateNumber=string"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "result": {      "status": "string",      "revokedAt": "string",      "issueAt": "string",      "canceledAt": "string",      "expiryDate": "string",      "licenseNumber": "string"    },    "errorDescription": "string"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty